聚合国内IT技术精华文章,分享IT技术精华,帮助IT从业人士成长

Manjaro安装Deepin桌面环境

2022-06-26 19:34 浏览: 1655473 次 我要评论(0 条) 字号:

Deepin桌面版的Manjaro社区已经不再维护,想要使用deepin桌面还需要自己安装,安装过程遇到的问题比较多,记录下来。

步骤一:安装Manjaro

我下载的是Plasma Desktop版本的Manjaro,即KDE版本,其他版本应该也差不多。安装完成后更新系统。

步骤二:安装xorg

Xorg是X Window System的一个开源实现,目前大部分的窗口管理器或者桌面系统都是基于其实现的。Deepin需要使用到它。

sudo pacman -S xorg xorg-server

步骤三:安装Deepin桌面环境

sudo pacman -S deepin

步骤四:安装其他Deepin软件(可选)

sudo pacman -S deepin-extra

注意,选择全部安装会出现如下错误:

错误:无法提交处理 (有冲突的文件)
/usr/bin/dde-device-formatter 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_am_ET.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_ar.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_ast.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_bg.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_bn.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_ca.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_cs.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_da.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_de.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_el.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_es.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_fi.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_fr.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_gl_ES.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_hr.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_hu.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_id.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_it.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_ja.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_ko.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_lt.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_ml.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_ms.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_nb.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_ne.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_nl.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_pa.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_pl.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_pt.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_pt_BR.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_ru.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_sk.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_sl.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_sr.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_sv.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_ta.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_tr.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_ug.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_uk.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_zh_CN.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
/usr/share/dde-device-formatter/translations/dde-device-formatter_zh_TW.qm 同时存在于 'dde-device-formatter' 和 'deepin-device-formatter'
发生错误,没有软件包被更新。

经分析,发现是deepin-extra组dde-device-formatter存在冲突,解决方案也比较简单,就是不安装dde-device-formatter:

sudo pacman -S deepin-extra
:: 在组 deepin-extra 中有 22 成员:
:: 软件仓库 community
   1) dde-device-formatter  2) deepin-album  3) deepin-boot-maker  4) deepin-calculator  5) deepin-camera
   6) deepin-clipboard  7) deepin-clone  8) deepin-community-wallpapers  9) deepin-compressor
   10) deepin-device-formatter  11) deepin-draw  12) deepin-editor  13) deepin-font-manager  14) deepin-movie
   15) deepin-music  16) deepin-picker  17) deepin-printer  18) deepin-reader  19) deepin-screen-recorder
   20) deepin-screensaver-pp  21) deepin-terminal  22) deepin-voice-note

输入某个选择 ( 默认=全部选定 ): 2-22

步骤五:配置lightdm显示管理器

常见显示管理器:

  • Entrance – 基于 EFL 的显示管理器,高度实验性质。
  • GDM – GNOME 显示管理器。
  • KDM – KDE4 显示管理器(不再继续开发)。
  • LightDM – 跨桌面显示管理器,可以使用任何工具集写就的各种前端。(ubuntu默认是这个)
  • LXDM – LXDE 显示管理器,可以独立于 LXDE 桌面环境使用。
  • MDM – MDM 显示管理器,在 Linux Mint 中使用, GDM 2 的一个 fork。
  • SDDM – 基于 QML 的显示管理器,KDE 4 的 kdm 的继任者;Plasma 5 以及 LXQt 推荐。
  • SLiM – 轻量且优雅的图形化登录解决方案(不再继续开发)。
  • XDM – 带有 XDMCP,主机选择支持的 X 显示管理器。

Deppin使用的是lightdm,所以需要进行安装和配置:

sudo pacman –S lightdm
sudo nano /etc/lightdm/lightdm.conf

找到如下的行:

# greeter-session = Session to load for greeter

去掉注释并修改为:

greeter-session = lightdm-deepin-greeter

保存后启动服务,可以发现服务无法正常启动:

sudo systemctl start lightdm.service
Job for lightdm.service failed because the control process exited with error code.
See "systemctl status lightdm.service" and "journalctl -xeu lightdm.service" for details.

查看服务状态:

systemctl status lightdm.service
× lightdm.service - Light Display Manager
     Loaded: loaded (/usr/lib/systemd/system/lightdm.service; disabled; vendor preset: disabled)
     Active: failed (Result: exit-code) since Sat 2022-06-25 20:36:07 CST; 22s ago
       Docs: man:lightdm(1)
    Process: 28476 ExecStart=/usr/bin/lightdm (code=exited, status=1/FAILURE)
   Main PID: 28476 (code=exited, status=1/FAILURE)
        CPU: 26ms

6月 25 20:36:07 X230 systemd[1]: lightdm.service: Scheduled restart job, restart counter is at 5.
6月 25 20:36:07 X230 systemd[1]: Stopped Light Display Manager.
6月 25 20:36:07 X230 systemd[1]: lightdm.service: Start request repeated too quickly.
6月 25 20:36:07 X230 systemd[1]: lightdm.service: Failed with result 'exit-code'.
6月 25 20:36:07 X230 systemd[1]: Failed to start Light Display Manager.

查看日志:

journalctl -xeu lightdm.service 
░░ lightdm.service 单元已失败。
░░
░░ 结果为“failed”。
6月 25 20:36:07 X230 systemd[1]: lightdm.service: Scheduled restart job, restart counter is at 5.
░░ Subject: Automatic restarting of a unit has been scheduled
░░ Defined-By: systemd
░░ Support: https://forum.manjaro.org/c/support
░░
░░ Automatic restarting of the unit lightdm.service has been scheduled, as the result for
░░ the configured Restart= setting for the unit.
6月 25 20:36:07 X230 systemd[1]: Stopped Light Display Manager.
░░ Subject: lightdm.service 单元已结束停止操作
░░ Defined-By: systemd
░░ Support: https://forum.manjaro.org/c/support
░░
░░ lightdm.service 单元已结束停止操作。
6月 25 20:36:07 X230 systemd[1]: lightdm.service: Start request repeated too quickly.
6月 25 20:36:07 X230 systemd[1]: lightdm.service: Failed with result 'exit-code'.
░░ Subject: Unit failed
░░ Defined-By: systemd
░░ Support: https://forum.manjaro.org/c/support
░░
░░ The unit lightdm.service has entered the 'failed' state with result 'exit-code'.
6月 25 20:36:07 X230 systemd[1]: Failed to start Light Display Manager.
░░ Subject: lightdm.service 单元已失败
░░ Defined-By: systemd
░░ Support: https://forum.manjaro.org/c/support
░░
░░ lightdm.service 单元已失败。
░░
░░ 结果为“failed”。

安装服务,报如下错误:

sudo systemctl enable lightdm.service
Failed to enable unit: File /etc/systemd/system/display-manager.service already exists and is a symlink to /usr/lib/systemd/system/sddm.service.

即目前在桌面环境正在使用sddm,所以无法同时运行,解决方法也比较简单,CTRL+ALT+F2进入命令行环境。执行如下命令:

sudo systemctl disable sddm.service
sudo systemctl stop sddm.service
sudo systemctl enable lightdm.service
sudo systemctl start lightdm.service

完成后重启即可进入deepin桌面了。

步骤六:配置deepin-kwin窗口管理器

安装screenfetch,查看目前使用的窗口管理器。

sudo pacman -S screenfetch

[qw@X230 ~]$ screenfetch
/usr/bin/screenfetch:行1802: 835772416-:语法错误: 需要操作数 (错误符号是 "-")

 ██████████████████  ████████     qw@X230
 ██████████████████  ████████     OS: Manjaro 21.3.1 Ruah
 ██████████████████  ████████     Kernel: x86_64 Linux 5.15.49-1-MANJARO
 ██████████████████  ████████     Uptime: 22m
 ████████            ████████     Packages: 1417
 ████████  ████████  ████████     Shell: bash
 ████████  ████████  ████████     Resolution: 1366x768
 ████████  ████████  ████████     DE: GNOME
 ████████  ████████  ████████     WM: Deepin WM
 ████████  ████████  ████████     WM Theme: deepin
 ████████  ████████  ████████     GTK Theme: Adwaita [GTK2/3]
 ████████  ████████  ████████     Icon Theme: WhiteSur-dark
 ████████  ████████  ████████     Font: Noto Sans,  10
 ████████  ████████  ████████     Disk: 70G / 408G (18%)
                                  CPU: Intel Core i5-3320M @ 4x 3.3GHz [63.0°C]
                                  GPU: Mesa Intel(R) HD Graphics 4000 (IVB GT2)
                                  RAM: 835772416-

可以看到目前使用的是Deepin WM,deepin-wm 是dde旧的窗口管理器,上游是gnome mutter。但是mutter要比kwin重,所以现在的deepin-kwin是上游是kwin,kwin相对轻量快速一点,还处于完善阶段,初步使用会比较卡顿。

Deepin WM也可以使用,但是会出现桌面壁纸无法更换等问题,所以还是推荐安装deepin-kwin。

sudo pacman -S deepin-kwin
[sudo] qw 的密码:
正在解析依赖关系...
正在查找软件包冲突...

软件包 (1) deepin-kwin-5.4.26-3

全部安装大小:  1.11 MiB

:: 进行安装吗? [Y/n] y
(1/1) 正在检查密钥环里的密钥                                       [####################################] 100%
(1/1) 正在检查软件包完整性                                         [####################################] 100%
(1/1) 正在加载软件包文件                                           [####################################] 100%
(1/1) 正在检查文件冲突                                             [####################################] 100%
错误:无法提交处理 (有冲突的文件)
deepin-kwin: 文件系统中存在 /etc/xdg/kdeglobals (由 manjaro-kde-settings 所有)
deepin-kwin: 文件系统中存在 /etc/xdg/kwinrc (由 manjaro-kde-settings 所有)
发生错误,没有软件包被更新。

解决方案:

sudo pacman -R manjaro-kde-settings
sudo pacman -S deepin-kwin

注销或重启系统,至此桌面环境就安装完毕了。

参考链接:



网友评论已有0条评论, 我也要评论

发表评论

*

* (保密)

Ctrl+Enter 快捷回复